org.modeshape.jcr.query

## Class JcrQueryResult.QueryResultIterator

- java.lang.Object
- - org.modeshape.jcr.query.JcrQueryResult.QueryResultIterator

- All Implemented Interfaces:
    Iterator, RangeIterator
  Direct Known Subclasses:
    JcrQueryResult.QueryResultNodeIterator, JcrQueryResult.QueryResultRowIterator
  Enclosing class:
    JcrQueryResult

      @NotThreadSafe
      protected abstract static class JcrQueryResult.QueryResultIterator
      extends Object
      implements RangeIterator

  The `NodeIterator` implementation returned by the `JcrQueryResult`.
  See Also:
    `JcrQueryResult.getNodes()`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JcrQueryContext` | `context`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JcrQueryResult.QueryResultIterator(JcrQueryContext context, NodeSequence sequence)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected NodeSequence.Batch` | `findNextBatch()`
    `long` | `getPosition()`
    `long` | `getSize()`
    `boolean` | `hasNext()`
    `protected NodeSequence.Batch` | `moveToNextRow()`
    `void` | `skip(long skipNum)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `next, remove`

- - ### Field Detail

    - #### context

          protected final JcrQueryContext context

  - ### Constructor Detail

    - #### JcrQueryResult.QueryResultIterator

          protected JcrQueryResult.QueryResultIterator(JcrQueryContext context,
                                            NodeSequence sequence)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator`

    - #### moveToNextRow

          protected final NodeSequence.Batch moveToNextRow()

    - #### findNextBatch

          protected NodeSequence.Batch findNextBatch()

    - #### getPosition

          public long getPosition()

      Specified by:
        `getPosition` in interface `RangeIterator`

    - #### skip

          public void skip(long skipNum)

      Specified by:
        `skip` in interface `RangeIterator`

    - #### getSize

          public final long getSize()

      Specified by:
        `getSize` in interface `RangeIterator`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.